library example.simple;

import 'package:jaguar/jaguar.dart';
import 'package:jaguar_mux/jaguar_mux.dart';
import 'package:jaguar_cors/jaguar_cors.dart';

main() async {
  final builder = new MuxBuilder();

  {
    String handler(Context ctx) {
      return 'none';
    }

    builder
        .get('/none', handler)
        .wrap((Context ctx) => new Cors(new CorsOptions()));
  }

  {
    String handler(Context ctx) => 'origins';
    final options = new CorsOptions(
        allowedOrigins: ['http://example.com', 'http://example1.com'],
        allowAllMethods: true,
        allowAllHeaders: true);
    builder.get('/origins', handler).wrap((Context ctx) => new Cors(options));
  }

  {
    String handler(Context ctx) {
      return 'preflight';
    }

    final options = new CorsOptions(
        allowedOrigins: ['http://example.com'],
        allowAllMethods: true,
        allowAllHeaders: true);
    builder.route('/preflight', handler,
        methods: ['OPTIONS']).wrap((Context ctx) => new Cors(options));
  }

  Jaguar conf = new Jaguar();
  conf.addApi(builder.build());
  await conf.serve();
}
